## ros-eloquent-dummy-sensors 0.8.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(dummy_sensors)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw REQUIRED)
find_package(sensor_msgs REQUIRED)

add_executable(dummy_laser src/dummy_laser.cpp)
ament_target_dependencies(dummy_laser
  "rclcpp"
  "sensor_msgs"
)

add_executable(dummy_joint_states src/dummy_joint_states.cpp)
ament_target_dependencies(dummy_joint_states
  "rclcpp"
  "sensor_msgs")
install(TARGETS
  dummy_joint_states
  dummy_laser
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-eloquent-dummy-sensors (0.8.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 19 Nov 2019 06:00:00 -0000

ros-eloquent-dummy-sensors (0.8.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 11 Nov 2019 06:00:00 -0000

ros-eloquent-dummy-sensors (0.8.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 08 Nov 2019 06:00:00 -0000

ros-eloquent-dummy-sensors (0.8.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.8.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 26 Sep 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.6-1bionic) bionic; urgency=high

  * Fix memory leak in the dummy robot examples. (#361 <https://github.com/ros2/demos/issues/361>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 30 May 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 May 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 10 May 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.2-1bionic) bionic; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Contributors: William Woodall, ivanpauno

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 08 May 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 26 Apr 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.7.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-eloquent-dummy-sensors (0.6.2-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 15 Jan 2019 06:00:00 -0000

ros-eloquent-dummy-sensors (0.6.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 13 Dec 2018 06:00:00 -0000

ros-eloquent-dummy-sensors (0.6.0-1bionic) bionic; urgency=high

  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Contributors: Chris Lalancette

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 07 Dec 2018 06:00:00 -0000

ros-eloquent-dummy-sensors (0.5.1-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Thu, 28 Jun 2018 05:00:00 -0000

ros-eloquent-dummy-sensors (0.5.0-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 27 Jun 2018 05:00:00 -0000

=== debian/control ===
Source: ros-eloquent-dummy-sensors
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-dummy-sensors
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: dummy sensor nodes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-dummy-sensors//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
